Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.services
Class FactoryManagerServiceImpl

    java.lang.Object
      org.jasig.portal.container.services.FactoryManagerServiceImpl

All Implemented Interfaces:
  org.apache.pluto.services.ContainerService, org.apache.pluto.services.factory.FactoryManagerService, PortletContainerService

    public class FactoryManagerServiceImpl

extends java.lang.Object
implements PortletContainerService, org.apache.pluto.services.factory.FactoryManagerService

Implementation of Apache Pluto object model.

Version:
  $Revision: 1.4 $
Author:
  Michael Ivanov, mvi@immagic.com

Field Summary
`private java.util.Map` | `factories`
`protected static java.lang.String` | `FACTORY_PROPERTIES`
`private java.util.Properties` | `properties`
`private javax.servlet.ServletConfig` | `servletConfig`

Constructor Summary
`FactoryManagerServiceImpl()`

Method Summary
`private void` | `addFactory(java.lang.Class factoryInterface, org.apache.pluto.factory.Factory factory)`
`private void` | `addFactory(java.lang.String factoryInterfaceName, java.lang.String factoryImplName)`
`void` | `destroy()` Destroys the services.
`org.apache.pluto.factory.Factory` | `getFactory(java.lang.Class theClass)`
`void` | `init(javax.servlet.ServletConfig servletConfig, java.util.Properties properties)` Initializes the service using the servlet configuration and the service properties.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### servletConfig

    private javax.servlet.ServletConfig servletConfig

### properties

    private java.util.Properties properties

### factories

    private java.util.Map factories

### FACTORY_PROPERTIES

    protected static final java.lang.String FACTORY_PROPERTIES

See Also:
  Constant Field Values

Constructor Detail

### FactoryManagerServiceImpl

    public FactoryManagerServiceImpl()

Method Detail

### init

    public void init(javax.servlet.ServletConfig servletConfig,
                     java.util.Properties properties)
              throws java.lang.Exception

  Description copied from interface: `PortletContainerService`
  Initializes the service using the servlet configuration and the service properties.

  Specified by:
    `init` in interface `PortletContainerService`
  Parameters:
    `servletConfig` - the servlet configuration
    `properties` - the service properties
  Throws:
    `java.lang.Exception` - if the initialization fails

### destroy

    public void destroy()
                 throws java.lang.Exception

  Description copied from interface: `PortletContainerService`
  Destroys the services. This method allows the service to cleanup any resources.

  Specified by:
    `destroy` in interface `PortletContainerService`
  Throws:
    `java.lang.Exception` - if the destruction fails

### getFactory

    public org.apache.pluto.factory.Factory getFactory(java.lang.Class theClass)

  Specified by:
    `getFactory` in interface `org.apache.pluto.services.factory.FactoryManagerService`

### addFactory

    private void addFactory(java.lang.String factoryInterfaceName,
                            java.lang.String factoryImplName)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### addFactory

    private void addFactory(java.lang.Class factoryInterface,
                            org.apache.pluto.factory.Factory factory)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD